Bug 216305 - security/libgcrypt: Update to 1.7.6
Summary: security/libgcrypt: Update to 1.7.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-01-20 00:09 UTC by Carlos J. Puga Medina
Modified: 2017-01-23 16:03 UTC (History)
1 user (show)

See Also:
cpm: exp-run?
cpm: merge-quarterly+


Attachments
patch-libgcrypt-1.7.6 (1.23 KB, patch)
2017-01-20 00:09 UTC, Carlos J. Puga Medina
cpm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-01-20 00:09:13 UTC
Created attachment 179119 [details]
patch-libgcrypt-1.7.6

Noteworthy changes in version 1.7.6
 
* Bug fixes:

  - Fix AES CTR self-check detected failure in the SSSE3 based
     implementation.
  - Remove gratuitous select before the getrandom syscall.
Comment 1 Antoine Brodin freebsd_committer 2017-01-21 08:51:00 UTC
Exp-run looks fine.
Comment 2 Carlos J. Puga Medina freebsd_committer 2017-01-23 11:55:45 UTC
(In reply to Antoine Brodin from comment #1)

Thanks Antoine ;)
Comment 3 commit-hook freebsd_committer 2017-01-23 12:13:03 UTC
A commit references this bug:

Author: cpm
Date: Mon Jan 23 12:12:14 UTC 2017
New revision: 432213
URL: https://svnweb.freebsd.org/changeset/ports/432213

Log:
  security/libgcrypt: update to 1.7.6

  Noteworthy changes in version 1.7.6

  * Bug fixes:

    - Fix AES CTR self-check detected failure in the SSSE3 based
       implementation.
    - Remove gratuitous select before the getrandom syscall.

  PR:		216305
  MFH:		2017Q1
  Exp-run by:	antoine

Changes:
  head/security/libgcrypt/Makefile
  head/security/libgcrypt/distinfo
  head/security/libgcrypt/pkg-plist
Comment 4 commit-hook freebsd_committer 2017-01-23 16:03:10 UTC
A commit references this bug:

Author: cpm
Date: Mon Jan 23 16:02:39 UTC 2017
New revision: 432241
URL: https://svnweb.freebsd.org/changeset/ports/432241

Log:
  MFH: r432213

  security/libgcrypt: update to 1.7.6

  Noteworthy changes in version 1.7.6

  * Bug fixes:

    - Fix AES CTR self-check detected failure in the SSSE3 based
       implementation.
    - Remove gratuitous select before the getrandom syscall.

  PR:		216305
  Exp-run by:	antoine

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/security/libgcrypt/Makefile
  branches/2017Q1/security/libgcrypt/distinfo
  branches/2017Q1/security/libgcrypt/pkg-plist
Comment 5 Carlos J. Puga Medina freebsd_committer 2017-01-23 16:03:54 UTC
Committed, thanks!